Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class FileUtils

    java.lang.Object
      org.makumba.commons.FileUtils

    public class FileUtils

extends Object

Gathers file related utilits.

Version:
  $Id: FileUtils.java 3693 2009-02-11 00:38:34Z rosso_nero $
Author:
  Rudolf Mayer

Field Summary
`static Logger` | `logger`

Constructor Summary
`FileUtils()`

Method Summary
`static ArrayList<String>` | `getAllFilesInDirectory(String root, String[] skipPaths, FileFilter filter)` Return all files that match the given filter, in any subdir of the given root directory.
`static InputStream` | `getInputStream(URL url)` Gets an input stream from a file-system file or JAR file
`static void` | `processFilesInDirectory(String root, String[] skipPaths, File f, ArrayList<String> allFiles, FileFilter filter)` Process files in one directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static final Logger logger

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### getAllFilesInDirectory

    public static ArrayList<String> getAllFilesInDirectory(String root,
                                                           String[] skipPaths,
                                                           FileFilter filter)

  Return all files that match the given filter, in any subdir of the given root directory.

### processFilesInDirectory

    public static void processFilesInDirectory(String root,
                                               String[] skipPaths,
                                               File f,
                                               ArrayList<String> allFiles,
                                               FileFilter filter)

  Process files in one directory.

### getInputStream

    public static InputStream getInputStream(URL url)
                                      throws IOException

  Gets an input stream from a file-system file or JAR file

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20